"use strict";
const knexfile = require("../knexfile");
const knex = require("knex");
let dbConfig;
if (process.env.NODE_ENV === "development") {
    dbConfig = knexfile.development;
}
else {
    dbConfig = knexfile.production;
}
const db = knex(dbConfig);
(async () => {
    const repositories = await db("repositories_old").select("*");
    for (let repo of repositories) {
        await db("repositories").insert(repo);
    }
    process.exit();
})();
//# sourceMappingURL=copy_repositories_over.js.map