
exports.up = function(knex) {
  return knex.schema.table('repositories', function(t) {
    t.integer('submodule_parent_repo').unsigned();
    t.foreign('submodule_parent_repo').references('id').inTable('repositories');
    t.string('submodule_origin_commit');
  });
};

exports.down = function(knex) {
  return knex.schema.table('repositories', function(t) {
    t.dropColumn('submodule_parent_repo');
    t.dropForeign('submodule_parent_repo');
    t.dropColumn('submodule_origin_commit');
  });
};
